Skip to main content
`Ctrl`+`K`

# PetscFESetNumComponents

Sets the number of field components in the element

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetNumComponents(PetscFE fem, PetscInt comp)

Not Collective

## Input Parameters

- fem - The `PetscFE` object

- comp - The number of field components

## See Also

`PetscFE`, `PetscFECreate()`, `PetscFEGetSpatialDimension()`, `PetscFEGetNumComponents()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages